Bug 19118 - Due to wrong variable name passed vendor name is not coming in browser title bar
Summary: Due to wrong variable name passed vendor name is not coming in browser title...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Amit Gupta
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-15 16:51 UTC by Amit Gupta
Modified: 2017-10-01 22:22 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19118 - Due to wrong variable name passed vendor name is not coming in browser title bar (1.18 KB, patch)
2017-08-15 16:57 UTC, Amit Gupta
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 19118 - Due to wrong variable name passed vendor name is not coming in browser title bar (1.24 KB, patch)
2017-08-15 17:56 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19118 - Due to wrong variable name passed vendor name is not coming in browser title bar (1.31 KB, patch)
2017-08-25 15:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2017-08-15 16:51:19 UTC
Due to wrong value passed vendor name is not coming in browser title bar
Comment 1 Amit Gupta 2017-08-15 16:55:08 UTC
Passed wrong variable [% bookselname %]
Comment 2 Amit Gupta 2017-08-15 16:57:49 UTC
Created attachment 66029 [details] [review]
Bug 19118 - Due to wrong variable name passed vendor name is  not coming in browser title bar

Test

1. Hit the page /cgi-bin/koha/acqui/supplier.pl?booksellerid=xx
   xx is a booksellerid
2. Apply the patch and reload the page.
3. You can see vendor name in browser title bar.
Comment 3 M. Tompsett 2017-08-15 17:55:37 UTC
This does fix the title bar.
Though I was thinking of formatting.
Should it be Vendor {name} without any punctuation?
Perhaps it should have a colon or something, because Vendor is not part of the name, but the section we're in. Perhaps the › thing like Between Koha and Vendor?
I'll sign off as is, and let QA comment further on that.
Comment 4 M. Tompsett 2017-08-15 17:56:15 UTC
Created attachment 66034 [details] [review]
[SIGNED-OFF] Bug 19118 - Due to wrong variable name passed vendor name is not coming in browser title bar

Test

1. Hit the page /cgi-bin/koha/acqui/supplier.pl?booksellerid=xx
   xx is a booksellerid
2. Apply the patch and reload the page.
3. You can see vendor name in browser title bar.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 Jonathan Druart 2017-08-25 15:17:30 UTC
(In reply to M. Tompsett from comment #3)
> This does fix the title bar.
> Though I was thinking of formatting.
> Should it be Vendor {name} without any punctuation?
> Perhaps it should have a colon or something, because Vendor is not part of
> the name, but the section we're in. Perhaps the &rsaquo; thing like Between
> Koha and Vendor?
> I'll sign off as is, and let QA comment further on that.

It follows the existing pattern.
Comment 6 Jonathan Druart 2017-08-25 15:18:01 UTC
Created attachment 66485 [details] [review]
Bug 19118 - Due to wrong variable name passed vendor name is not coming in browser title bar

Test

1. Hit the page /cgi-bin/koha/acqui/supplier.pl?booksellerid=xx
   xx is a booksellerid
2. Apply the patch and reload the page.
3. You can see vendor name in browser title bar.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2017-08-25 15:26:27 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 8 Fridolin SOMERS 2017-09-29 13:29:39 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 9 Katrin Fischer 2017-10-01 22:22:29 UTC
This patch has been pushed to 16.11.x and will be in 16.11.13.